# $Revision: 1.33 $, $Date: 2008-04-07 11:11:00 $
Summary:	An X Window System-based calendar program
Summary(pl.UTF-8):	Kalendarz działający pod X Window System
Name:		ical
Version:	2.2
Release:	23
License:	distributable
Group:		X11/Applications
Source0:	http://www.research.digial.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/%{name}-%{version}.tar.gz
# Source0-md5:	6bb0d0ce76bb31570c2c99d8da70a58b
Source1:	%{name}.desktop
Patch0:		%{name}-newtcl.patch
Patch1:		%{name}-tcl823.patch
Patch2:		%{name}-hack.patch
Patch3:		%{name}-DESTDIR.patch
Patch4:		%{name}-OPTF.patch
Patch5:		%{name}-protos.patch
Patch6:		%{name}-tcl84.patch
Patch7:		%{name}-prototypes.patch
URL:		http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
BuildRequires:	tk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ical is an X Window System based calendar program. Ical will easily
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

Install ical if you need a calendar program to track your schedule.
You'll need to have the X Window System installed in order to use
ical.

%description -l pl.UTF-8
ical to kalendarz/terminarz pod X Window System. Może łatwo tworzyć,
modyfikować, usuwać wpisy, tworzyć powtarzające się wpisy, przypominać
o zbliżających się spotkaniach, wyświetlać wystąpienia wpisu; pozwala
dzielić kalendarze pomiędzy różnymi użytkownikami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%{__perl} -pi -e 's@/lib(.*T.*_LIB_FILE)@/%{_lib}$1@' configure.in

%build
cd types
%{__aclocal}
%{__autoconf}
cd ..
%{__aclocal}
%{__autoconf}
%configure \
	--with-tclsh=/usr/bin/tclsh

%{__make} \
	OPTF="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/ical.html doc/ical.doc doc/interface.html doc/interface.doc
%attr(755,root,root) %{_bindir}/ical
%{_mandir}/man1/ical.1*
%{_prefix}/lib/ical
%{_desktopdir}/ical.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ical.spec,v $
Revision 1.33  2008-04-07 11:11:00  arekm
- release 23

Revision 1.32  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.30  2007/01/19 17:39:38  arekm
- rel 22; force some defines because configure check is broken

Revision 1.29  2005/06/08 15:05:07  zbyniu
- BR: libstdc++-devel

Revision 1.28  2005/04/23 21:28:29  darekr
- BR: perl-base

Revision 1.27  2004/06/26 18:15:20  qboosh
- BR: tk-devel

Revision 1.26  2004/06/26 18:06:03  qboosh
- fixed build on amd64, release 21

Revision 1.25  2004/06/26 15:12:31  qboosh
- updated OPTF patch, added protos,tcl84 patches
- fixed build, switched to vfolders

Revision 1.24  2003/05/28 12:59:06  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:48:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.21  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.20  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/05/21 23:13:34  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/04/25 16:35:12  arturs
fixed a small typo

Revision 1.17  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/30 11:52:06  qboosh
- adapterized, pl description

Revision 1.13  2001/09/30 16:34:39  blues
- release 20
- ac2.5 ready

Revision 1.12  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2001/04/10 15:43:01  baggins
- added eith-tclsh to configure

Revision 1.10  2001/04/10 15:31:15  baggins
- release 19
- rebuild with new tcl

Revision 1.9  2000/08/26 00:38:22  kloczek
-adapterized.

Revision 1.8  2000/07/12 19:31:54  baggins
- release 18
- added desktop entry
- added ROPT_OPT and DESTDIR patches

Revision 1.7  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:29:12  baggins
- cleanup
- macros
- gziping docs
- striping binaries

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- patch to build against the latest tcltk

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- replaced references to the version number with %{PACKAGE_VERSION}

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated to version 2.2, which is supposed to work with Tcl/Tk 8.0
- added wmconfig entry

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- Update version

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- build against tcl/tk 8.0

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
